> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a worked holiday for an employee



## OpenAPI

````yaml POST /schedule/v1/worked-holidays
openapi: 3.0.0
info:
  description: ''
  version: 3.0.0
  title: Sesame Public API
servers:
  - url: https://api-{region}.sesametime.com
    variables:
      region:
        default: eu1
security: []
tags: []
paths:
  /schedule/v1/worked-holidays:
    post:
      tags:
        - Worked holidays
      summary: Create a worked holiday for an employee
      operationId: CreateWorkedHoliday
      requestBody:
        description: Create a Worked Holiday for an employee
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                employeeId:
                  type: string
                  format: uuid
                managerId:
                  type: string
                  format: uuid
                holidayDayOffId:
                  type: string
                  format: uuid
                comment:
                  type: string
                compensatedDate:
                  type: string
                  format: date
                  description: Y-m-d
              required:
                - employeeId
                - managerId
                - holidayDayOffId
                - comment
      responses:
        '200':
          description: Object
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: string
                    format: uuid
                  meta:
                    type: object
                    properties:
                      currentPage:
                        type: integer
                        example: 1
                      lastPage:
                        type: integer
                        example: 1
                      total:
                        type: integer
                        example: 1
                      perPage:
                        type: integer
                        example: 1
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````